LINUX.ORG.RU

2
Всего сообщений: 58

Какой ритуал выполнить что-бы в gitflic сделать репозиторий публичным?

Решил вот попробовать. А чего бы и нет то. В настройках смотрел, галочка «сделать публичным» в «опасной зоне» неактивна. Чево им нада?

Создал репозиторий, первый ком блином RSA не поддерживается и мой публичный ключ сохранился, а ничего не клонируется, со второго раза заметил БОЛЬШИЕ КРАСНЫЕ БУКВЫ RSA ключи не могём. Ну ладно сгенерировал ещё один ssh ключик уже специально для джитфлика ssh-keygen -t ED25519 склонировал, запушил инит.

Гляжу приватный, ну ок иду в настройки, а там всё… Не даёт галку поставить что публичный хочу, всё серенькое.

Ладно думаю хз, а потом гляжу на странице профиля написано README профиля не найден. Поделитесь информацией о себе, создав README для вашего профиля

Тыкаю, делая по инструкции и там явно написано что есть условия

https://gitflic.ru/help/profile/readme

Вы создали репозиторий с именем, совпадающим с вашим именем пользователя Gitflic.
Репозиторий публичный.
Репозиторий содержит файл с именем README.md в корне.
Файл README.md содержит любой контент

Ага, саска бибку. Повторюсь, может там ритуал какой надо натыкать. Ну странно.

Перемещено hobbit из general

 , ,

LINUX-ORG-RU ()

Centos, Ubuntu — выкачать копию репозитория на определённую дату (срез)

Допустим, мне надо выкачать репозитории дистрибутива, которые были 1-го января 2022-го года.

В Alt Linux, оказывается, каждый день создаётся срез: http://ftp.altlinux.org/pub/distributions/archive/p9/date/2022/01/

То есть задача выполнима, и более того, всё сделано удобно.

Но как поступить, скажем, в Ubuntu или Centos? Как там получить состояние репозитория на определённую дату?

 

iljuase ()

CentOS Не удается получить список репозиториев

Добрый день. Пытаюсь установить DrWeb на CentOS (не бейте меня - такие требования - отказаться нельзя)

При установке пишет:

РЕПО: загрузка с удаленного устройства: AppStream error: Curl error (28): Timeout was reached for http://mirrorlist.centos.org/?release=8&arch=x86_64&repo=AppStream&infra=stock [Connection timed out after 30002 milliseconds] (http://mirrorlist.centos.org/?release=8&arch=x86_64&repo=AppStream&infra=stock). CentOS-8 - AppStream 0.0 B/s | 0 B 00:30 Не удается загрузить \xabhttp://mirrorlist.centos.org/?release=8&arch=x86_64&repo=AppStream&infra=stock\xbb: Cannot prepare internal mirrorlist: Curl error (28): Timeout was reached for http://mirrorlist.centos.org/?release=8&arch=x86_64&repo=AppStream&infra=stock [Connection timed out after 30002 milliseconds]. Ошибка: Не удается синхронизировать кэш для репозитория \xabAppStream\xbb ‘dnf’ -c ‘./dnf.conf’ –disablerepo=‘*’ –enablerepo=drweb_installer_local_repo clean all

Пробую отдельно вывести список репозиториев:

yum repolist

CentOS-8 - AppStream 0.0 B/s | 0 B 00:30 Ошибка: Не удается синхронизировать кэш для репозитория \xabAppStream\xbb

Пробовала очистить кэш

yum clean all

0 файлов удалено

Всё равно то же самое. Помогите пожалуйста - не понимаю в чем проблема.

 ,

alianta ()

Репозиторий

Подскажите новичку где расположены файлы прог до их установки и какое у них расширение?

 

kans2021 ()

Невозможно импортировать ключ для репозитория post-factum kernels

Добавляю в /etc/pacman.conf:

[home_post-factum_kernels_Arch]
Server = https://download.opensuse.org/repositories/home:/post-factum:/kernels/Arch/$arch

После этого в терминале:

➜  ~ yay -Syy
error: home_post-factum_kernels_Arch: key "95C357D2AF5DA89D" is unknown
:: Import PGP key 95C357D2AF5DA89D? [Y/n] y

error: segmentation fault
Please submit a full bug report with --debug if appropriate.
signal: segmentation fault

Если вручную сделать sudo pacman-key --recv-keys 95C357D2AF5DA89D, то yay -Syy выводит:

error: home_post-factum_kernels_Arch: signature from "home:post-factum OBS Project <home:post-factum@build.opensuse.org>" is unknown trust
error: failed to synchronize all databases (invalid or corrupted database (PGP signature))

sudo pacman-key --refresh-keys не помогает.

Что делать? (Отключить проверку подписи не предлагать.)

 , , , ,

sudopacman ()

Как сделать локальные репозитории для всех версий Centos?

Привет друзья.

В связи с тем, что совсем недавно закончилась поддержка Centos 6, отвалились стандартные репозитории и надо искать костыли, чтобы ими пользоваться.

Возникла идея взять просто сделать локальные репозитории для всех версий которые используются. Это Centos 6.4 и старше. Но как это организовать? Самым популярным способом гуглится reposync, но насколько я понял, он может только подтянуть текущий репозиторий centos, для той системы из которой запускается. А если мне надо сделать сразу репозитории для centos 6.5,6.5,6.6… и т.д то каким образом это можно реализовать?

 ,

dualCore ()

Дата файлов в Mercurial Tortoisehg и TimestampMod

Доброго дня. Mercurial 3.9 стоит на Centos6.10 Tortoisehg стоит на Windows 10

При клонировании в Tortoisehg из Mercuriala дата файлов ставиться текущей, т.е. какая стоит в винде на момент клонирования.

Пробовал прикрутить TimestampMod, ничерта не работает, хотя в Tortoisehg в глобальных настройках данный мод прописан.

т.е. отследить какие файлы были изменены не представляется возможным. Кто-ть сталкивался с данной проблемой, и удалось ли ее победить?

 , , ,

nikolosn ()

Проблема с установкой самосборных deb-пакетов

Приветствую. Имеется локальный сервер, на котором поднят репозиторий для Debian Buster. Репозиторий создан с помощью reprepro, используя стандартное руководство. Программы собираются на локальной машине через pbuilder и затем по ftp загружаются на сервер. Проблема заключается в следующем: я собрал более новую чем в Debian версию Mesa, загрузил её в репозиторий, обновил список пакетов на клиенте, но обновлённые версии не желают устанавливаться, как будто на них стоит какой-то запрет:

sudo apt install libegl-mesa0
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты не могут быть установлены. Возможно, то, что вы просите,
неосуществимо, или же вы используете нестабильную версию дистрибутива, где
запрошенные вами пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, вам поможет:

Следующие пакеты имеют неудовлетворённые зависимости:
 libegl-mesa0 : Зависит: libgbm1 (= 19.0.6-1) но 18.3.6-2+deb10u1 должен быть установлен
E: Невозможно исправить ошибки: у вас зафиксированы сломанные пакеты.
Единственный момент: так как для сборки данной версии Mesa требуется LLVM 8, а он есть в Debian Backports, то во время сборки он был установлен из бэкпортов автоматически. На клиенте бэкпорты подключены, и по идее всё должно просто работать. Но не работает(. В чём может быть дело? Может стоит поднять локальному репозиторию приоритет в настройках APT?

 , ,

Sunderland93 ()

Как скачать avidemux?

Всем хорошего настроения! Недавно мне посоветовали скачать программу avidemux для простого монтажа видео. К моему удивлению - такой не оказалось в репозитории Ubuntu 20.04. Как скачать эту программу официальным способом, а не пакетами, собранными непонятно кем?

Почему такой популярной программы нет в репозитории Ubuntu?

 , ,

boris_delaet_site ()

А насколько трудоёмка подготовка пакета для принятия в Debian/Ubuntu?

Я начал читать официальную документацию Дебиана по этому вопросу и энтузиазм очень быстро начал пропадать. Но здравый смысл подсказывает что в моём случае, когда софтина тривиальна, не пишет логов, не читает конфигов и не ребует рута, всё должно быть несложно.

Кто-то проходил этот процесс?

 ,

A_Stahl ()

зеркало обновлений FreeBSD

Подскажите пожалуйста каким образом можно развернуть зеркало обновлений + репозитория для FreeBSD. Хотя бы скажите куда рыть.

 , , ,

kaw1994 ()

Можно ли безболезненно менять ссылки в файле /etc/apt/sources.list в Debian?

Установил себе Debian Buster на комп и во время установки выбрал как позже оказалось неудачное зеркало для обновлений. Смотрел файл /etc/apt/sources.list и там фигурирует это зеркало ftp.nl.debian.org/debian/ Плохое оно потому что аптайм оставляет желать лучшего, часто не могу обновить список пакетов и установить что либо, этот сервер не всегда работает. Иногда тупо жду следующего дня чтобы установить то что надо. Попробовал заменить в файле /etc/apt/sources.list эту ссылку ftp.nl.debian.org/debian/ на эту deb.debian/org.ru/debian/ и все прекрасно работает. Но тревожит меня один нюанс, можно ли так поступать? В плане безопасности это нормально? Просто я не в курсе как там происходит проверка пакетов с точки зрения криптографии, ключей, цифровых подписей и т.д. Если просто поменять ссылку /etc/apt/sources.list как я описал выше, будут ли криптографическими средствами проверяться файлы, которые я получаю с deb.debian/org.ru/debian/ ?

 , , ,

MRX256 ()

Как добавить репозиторий ubuntu 18.04 (bionic) в ubuntu 20.04 (focal)?

Я некогда писал что есть проблема с переключением на hfp/hsp Bluetooth, вычитал что ofono-phonesim кое как фиксит этот баг. Но в репозитории focal его ещё нет, а при установке вручную вылетает огромный список зависимостей. Поэтому и хочу установить bionic репу. Как это корректно сделать? Репа будет сразу удалена после установки phonesim

 , , , ,

ikeks2505 ()

PowerTools

Решил поставить mate на OL8 по иструкции надо выполнить комунду dnf config-manager –enable PowerTools но у меня выводит ошибку Ошибка: Нет подходящего репозитория для изменения: PowerTools. Я подумал что надо поставить другой EPEL рупозиторий, устанавливал по разному но ничего не вышло. идентификатор репозитория имя репозитория состояние epel Extra Packages for Enterprise Linux 8 - x86_ 5 267 ol8_UEKR6 Latest Unbreakable Enterprise Kernel Release 83 ol8_addons Oracle Linux 8 Addons (x86_64) 31 ol8_appstream Oracle Linux 8 Application Stream (x86_64) 11 657 ol8_baseos_latest Oracle Linux 8 BaseOS Latest (x86_64) 4 764 ol8_u1_baseos_base Oracle Linux 8.1 BaseOS (x86_64) 1 829 Помогите)

 , ,

papahappa ()

Репозитории Fedora 31 в yum.repos.d

Приветствую. По «запарке» случайно удалил yum.repos.d, заместо mv без задней мысли напечатал rm. Пользователи Fedora 31, поделитесь пожалуйста. Можно как есть, лишнее сам уберу.

 , ,

unixnik ()

рейтинг репозиториев pkg по скорости

попробовал pkg.eu.FreeBSD.org, больше метра не тянет. есть утилита какая консольная для определения самого быстрого репа?

если есть опыт, какой в дс самый быстрый? или от провайдера зависит?

 , ,

chenbr0 ()

Арчерепа померла?

Пришел с утра на работу - решил обновиться...

:: Запускается полное обновление системы...
разрешение зависимостей...
проверка конфликтов...
:: python-pyqtwebengine и pyqtwebengine-common конфликтуют. Удалить pyqtwebengine-common? [y/N] y
ошибка: не удалось подготовить транзакцию (не удалось удовлетворить зависимости)
:: installing xorgproto (2019.2-2) breaks dependency 'dmxproto' required by libdmx
:: installing xorgproto (2019.2-2) breaks dependency 'xf86dgaproto' required by libxxf86dga
вначале подумал починят, но прошел день - наступил вечер, попробовал на другой машине - то же самое... какие будут идеи? наблюдаете ли нечто подобное?

 ,

amd_amd ()

Simple chat под Xubuntu

Нужна помощь с чатом Simple chat. Автор забросил свое детище, но очень бы хотелось пользоватся этим чатом.

При установке пишет: Сущ:1 http://ru.archive.ubuntu.com/ubuntu bionic InRelease Сущ:2 http://ru.archive.ubuntu.com/ubuntu bionic-updates InRelease
Игн:3 http://ppa.launchpad.net/impomezia/development/ubuntu bionic InRelease
Сущ:4 http://ru.archive.ubuntu.com/ubuntu bionic-backports InRelease
Игн:5 http://ppa.launchpad.net/impomezia/stable/ubuntu bionic InRelease
Пол:6 http://security.ubuntu.com/ubuntu bionic-security InRelease [88,7 kB]
Ошб:7 http://ppa.launchpad.net/impomezia/development/ubuntu bionic Release
404 Not Found [IP: 91.189.95.83 80] Ошб:8 http://ppa.launchpad.net/impomezia/stable/ubuntu bionic Release
404 Not Found [IP: 91.189.95.83 80]

или

Чтение списков пакетов… Готово
E: Репозиторий «http://ppa.launchpad.net/impomezia/development/ubuntu bionic Release» не содержит файла Release. N: Обновление из этого репозитория нельзя выполнить безопасным способом, поэтому по умолчанию он отключён. N: Информацию о создании репозитория и настройках пользователя смотрите в справочной странице apt-secure(8). E: Репозиторий «http://ppa.launchpad.net/impomezia/stable/ubuntu bionic Release» не содержит файла Release. N: Обновление из этого репозитория нельзя выполнить безопасным способом, поэтому по умолчанию он отключён. N: Информацию о создании репозитория и настройках пользователя смотрите в справочной странице apt-secure(8).

А компилить у меня что-то не получилось.

Помогите подскажите плиз.

 ,

Fteush ()

доустановка утилит в Buster с установочной CDROM

Хотел сделать минимальную систему, без графики. Поставил Debian Buster, base system, (убрал все галки, кроме утилит внизу). После установки начал настраивать сеть, а в /interfaces - ничего нет. Хотел руками прописать адресс, gateway, mask и т.д. , так обнаружил, что не стоит пакет net-tools. Тогда подключил репозиторий на CDROM, (сетевые репозитории закомментил и)

apt-get update
 reading package lists... Done. 


     А при установке говорит, что нет такого пакета, даже такие простые пакеты как мс, или net-tools и то не находит.
     Вопрос- почему он не доустанавливыает /не ставит с диска, почему пропала настройка сети, которая прошла без ошибок во время установки,и как мне все пофикисть, не прибегая к перестановке ( неск.раз уже ставил, результат такой же - ничего не до устанавливается с CDROM)
     Если что, CDROM подключал

     
apt-cdrom -d /media/cdrom0 add 


 и она прошла без сообщений об ошибке, и записалась новая строка в sources.list

 , ,

anton1 ()

Удаление репозитория

Доброго всем дня! Совсем новичок в Linux, а потому запутался. При обновлении пакетов (после установки последней программы) постоянно всплывает следующее:

Ошб:9 https://linuxdesktopcloud.mail.ru/screenshoter/deb appind InRelease Следующие подписи неверны: 8A99BA500079839DF7DE4833196205AF7396FF77

Чтение списков пакетов… Готово W: Ошибка GPG: https://linuxdesktopcloud.mail.ru/screenshoter/deb appind InRelease: Следующие подписи неверны: 8A99BA500079839DF7DE4833196205AF7396FF77

E: Репозиторий «https://linuxdesktopcloud.mail.ru/screenshoter/deb appind InRelease» не подписан.

N: Обновление из этого репозитория нельзя выполнить безопасным способом, поэтому по умолчанию он отключён.

N: Информацию о создании репозитория и настройках пользователя смотрите в справочной странице apt-secure(8).

Сижу уже день с этой проблемой. Прошу, пожалуйста, мне помочь, хотя это, наверное, глупость ;D. Как удалить данный репозиторий через Терминал? Заранее благодарю! :)

 , ,

Matvey_975 ()